Skip to navigation

Make A Direct Debit Request

View as Markdown

Initiate a new payment through the Direct Payment Initiation API call. This API call accepts ISOXML pain.008.001.02 format to initiate a payment through CitiConnect. It can be used to initiate one Direct Debit request per API call. Each payment method takes different input values based on the type of payment. The Payment Initiation service accommodates all different data attributes for all the available payment methods.

<font size=‘2’>Content-Type : Supports “application/xml”.
Authorization : The OAuth Token prefixed with “Bearer“ and space in between.
payloadType : Supports “urn:iso:std:iso:20022:tech:xsd:pain.008.001.02”.
Request : The request follows ISO XML V3 (pain.008.001.02) standards.
paymentBase64 : ISO XML V3 (pain.008.001.02) file has to be converted to Base64 format and passed in < Request>< paymentBase64> tags.
Response : The response follows ISO XML (pain.002.001.03) standards.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Headers

AuthorizationstringRequired
The OAuth Token prefixed with "Bearer" and space in between.
payloadTypestringRequired

Supports “urn:iso:std:iso:20022:tech:xsd:pain.008.001.02” format

Query parameters

client_idstringRequired

This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation

Request

Describes the Direct Debit Payment Initiation API’s fields in the ISOXML request body, which is encoded with Base64 and placed in < Request>< paymentBase64> tags.

CstmrDrctDbtInitnobjectRequired

The CustomerDirectDebitInitiation message is sent by the initiating party to the forwarding agent or creditor agent. It is used to request single or bulk collection(s) of funds from one or various debtor’s account(s) for a creditor.

Response

OK